Subject: Re: Duplicate CygWin
From: "Max Bowsher" <[email-masked]>
To: "Ben Clewett" <[email-masked]>
Cc: <[email-masked]>
Date: Tue, 18 Feb 2003 12:56:43 -0000

Ben Clewett wrote:
> (Sorry about incorrect subject on first posting)
>
> Noting:-  It's not a cut down version of CygWin*.DLL I need, but a cut
> down version of the file system, to just a couple of dozen files in
> /bin, /tmp, /usr and /etc, forming a 'mini' UNIX for a specific
> application.
>
> Just been scanning the postings quickly.  My knowlage of the internals
> of CygWin are vauge, but are you saying it's impossible to have two
> sideways compatable versions of CygWin installed, as any detected
> version miss-match (likelly) will drop the code?

There are no such things as sideways-compatible versions of Cygwin.
It would be possible to build an *isolated* version of Cygwin. In this case,
each Cygwin would view the other as just another native Win32 application.

> And there is no way of controling CygWin so that it uses only a
> specific .dll?  (ie, using the PATH variable or something...)
>
> My other need, to have a separate /root directory for each runnin
> Cygwin, I can't see anything on that.
>
> If this is not possible, would it be too hard to put some hack into
> the .dll to, say, read an environment variable for it's root, before
> the usual registry search?

The root directory is NOT the main issue here. It's the shared memory area
that is the central issue.

Max.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/